田草博客

互联网田草博客


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件 | ID

评论列表

所有评论
[32] [33] [34] [35] [36] [37] [38] [39] [40] [41]  ... [143]  
tiancao1001 于 2013-11-19 10:50 PM 发表评论:
其中左下角的代码,比如U+E002 ,把十六进制的E002转换为十进制是:57346
在键盘上输入:Alt+57346 就会直接输入字符 
查看所评论的日志:字符映射表 所有字体 专用字符
lirj 于 2013-11-14 11:19 AM 发表评论:
408506825@qq.com
我正在学习cad vba,看了您列的目录,感觉对我很有帮助,希望能传一份给我,谢谢。
查看所评论的日志:AutoCAD VBA 二次开发教程源码
tiancao1001 于 2013-10-26 10:09 AM 发表评论:
包含在田草cad工具箱中
http://tiancao.net/blogview.asp?logID=806
查看所评论的日志:田草CAD工具箱—>快速将图像绘到CAD中
xiaoguben 于 2013-10-26 10:05 AM 发表评论:
来学习,不知道怎么下载这个软件啊
查看所评论的日志:田草CAD工具箱—>快速将图像绘到CAD中
741982631 于 2013-10-25 02:13 PM 发表评论:
怎么下载呀?
查看所评论的日志:田草CAD工具箱—>快速将图像绘到CAD中
tiancao1001 于 2013-10-22 08:45 PM 发表评论:
可以下载microsoft .net framework 1.1或者打开安装文件夹中"..\Bin\acadFeui\support\dotnetfx\dotnetfx.exe直接安装microsoft .net framework 1.1,然后再从..\Bin\acadFeui\acad.msi 直接安装CAD.
查看所评论的日志:导致AutoCAD2006无法安装的原因终于找到了
ppxxyy 于 2013-10-16 10:57 PM 发表评论:
麻烦将
VBA论坛板块的电子书版本

发到邮箱276982432@qq.com

谢谢
查看所评论的日志:晓东VBA论坛板块的电子书版本
tiancao1001 于 2013-10-15 07:30 PM 发表评论:
VBA 双击修改
程序代码:[ 复制代码到剪贴板 ]
Private Sub AcadDocument_BeginDoubleClick(ByVal PickPoint As Variant)    '双击文字修改
 On Error Resume Next
    Dim T As AcadText
    Dim Temp As String
      Dim T1 As Integer
      Dim T2 As Integer
      Dim T3 As Integer
      Dim L As Integer
    'If PickfirstSelectionSet.Count <> 1 Then Exit Sub
    Dim SSetObj As AcadSelectionSet
    If PickfirstSelectionSet.Item(0).ObjectName = "AcDbText" Then
            If Err.Number = -2145320949 Then
                 If Err.Number > 0 Then Err.Clear
                 Set SSetObj = CreateSelectionSet("XXX")
                 SSetObj.SelectAtPoint PickPoint '设置个选择之后,双击就不会在执行DDedit了
                 'ThisDrawing.SetVariable "USERS2", "%%130%%131%%132"
                   Set T = SSetObj.Item(0)
                    Temp = T.TextString
                    Temp = Replace(Temp, "\U+0082", "%%130")
                    Temp = Replace(Temp, "\U+0083", "%%131")
                    Temp = Replace(Temp, "\U+0084", "%%132")
                    T.TextString = Temp
                    T1 = InStr(Temp, "%%130")
                    T2 = InStr(Temp, "%%131")
                    T3 = InStr(Temp, "%%132")
                    L = Len(Temp)
                If T1 + T2 + T3 > 0 And L < 40 Then
                     Set SSetObj = CreateSelectionSet("XXX")
                     SSetObj.SelectAtPoint PickPoint '设置个选择之后,双击就不会在执行DDedit了
                     ThisDrawing.SetVariable "USERS2", "%%130%%131%%132"
                     Exit Sub
                Else
                     Dim P As String
                     P = PickPoint(0) & " " & PickPoint(1) & " " & PickPoint(2)
                     Dim P1 As String
                     P1 = PickPoint(0) + 1 & " " & PickPoint(1) + 1 & " " & PickPoint(2)
                     ThisDrawing.SendCommand ("ddedit w " & P & " " & P1 & " ")
                     Exit Sub
                End If
            End If
            
            Set T = PickfirstSelectionSet.Item(0)
            Temp = T.TextString
            Temp = Replace(Temp, "\U+0082", "%%130")
            Temp = Replace(Temp, "\U+0083", "%%131")
            Temp = Replace(Temp, "\U+0084", "%%132")
            T.TextString = Temp
            T1 = InStr(Temp, "%%130")
            T2 = InStr(Temp, "%%131")
            T3 = InStr(Temp, "%%132")
            L = Len(Temp)
            If T1 + T2 + T3 > 0 And L < 40 Then
                 Set SSetObj = CreateSelectionSet("XXX")
                 SSetObj.SelectAtPoint PickPoint '设置个选择之后,双击就不会在执行DDedit了
                 ThisDrawing.SetVariable "USERS2", "%%130%%131%%132"
            End If
    End If
    If Err.Number > 0 Then Err.Clear
    Exit Sub
E:
    MsgBox Err.Number
    Err.Clear
End Sub
'创建选择集******************************************************创建选择集**********************************************************
'
Public Function CreateSelectionSet(Optional ssName As String = "ss") As AcadSelectionSet
    '返回一个空白选择集

    Dim ss As AcadSelectionSet

    On Error Resume Next
    Set ss = ThisDrawing.SelectionSets(ssName)
    If Err Then Set ss = ThisDrawing.SelectionSets.Add(ssName)
    ss.Clear
    Set CreateSelectionSet = ss
    
End Function
'***********************************************************************************************************************************
查看所评论的日志:双击CAD对象,显示自定义对话框实现方法(VB.NET)
[32] [33] [34] [35] [36] [37] [38] [39] [40] [41]  ... [143]  
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©